/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */
#ifndef BARDISPLAYP_H
#define BARDISPLAYP_H

/* Include the public header file for BarDisplay */
#include "BarDisplay.h"

/* Include the private header file for GraphDisplay */
#include "GraphDispP.h"

/* Define the BarDisplay instance part */
typedef struct {
    Dimension	space;			/* Space between bars */
    Dimension	default_graph_width;	/* Default width */
    String	format;			/* For displaying value */
} BarDisplayPart;

/* Define the full instance record */
typedef struct _BarDisplayRec {
    ObjectPart		object;
    GraphDisplayPart	graphDisplay;
    BarDisplayPart	barDisplay;
} BarDisplayRec;

/* Define class part structure */
typedef struct {
    XtPointer		extension;
} BarDisplayClassPart;

/* Define the full class record */
typedef struct _BarDisplayClassRec {
    ObjectClassPart		object_class;
    GraphDisplayClassPart	graphDisplay_class;
    BarDisplayClassPart		barDisplay_class;
} BarDisplayClassRec, *BarDisplayObjectClass;

/* External definition for class record */
extern BarDisplayClassRec barDisplayClassRec;

/* End of preprocessor directives */
#endif /* BARDISPLAYP_H */
